.\" $NetBSD: cpu.4,v 1.1 2002/03/24 22:29:56 bjh21 Exp $
.\"
.\" Copyright (c) 2000 Ben Harris.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 11, 2000
.Dt CPU 4 acorn26
.Os
.Sh NAME
.Nm cpu
.Nd Device driver for CPU-specific features
.Sh SYNOPSIS
.Cd cpu0 at root flags 0
.Cd options CPU_ARM2
.Cd options CPU_ARM250
.Cd options CPU_ARM3
.Sh DESCRIPTION
The
.Nm
driver provides a convenient hook for identifying the system's CPU and setting
various parameters relating to it.
.Pp
Setting the bottom bit of the flags will cause the cache on the ARM3 to be
disabled, otherwise it's enabled.
.Pp
The following options are available relating to the
.Nm
driver:
.Bl -ohang
.It Cd options CPU_ARM2
Enables support for ARM2 CPUs.
.It Cd options CPU_ARM250
Enables support for ARM2as CPUs (as found in the ARM250).
.It Cd options CPU_ARM3
Enables support for ARM3 CPUs.
.El
